<div class="wrapper">
    <div class="fields">
        <div class="field">
            <div class = "column_1">
                <p>Surname</p>
                </div>
                <div class = "column_2">
                <material-input label = "Enter your surname"  [style.height.px] = "35" *ngIf = "user!=null" [(ngModel)]= "user.profile.surname"></material-input>
                </div>
        </div>
        <div class="field">
            <div class = "column_1">
                <p>Name</p>
                </div>
                <div class = "column_2">
                    <material-input label = "Enter your name"  [style.height.px] = "25" *ngIf = "user!=null" [(ngModel)]= "user.profile.name"></material-input>
                </div>
        </div>
        <div class="field">
            <div class = "column_1">
            <p>Patronymic</p>
            </div>
            <div class = "column_2">
                <material-input label = "Enter your patronymic"  [style.height.px] = "25" *ngIf = "user!=null" [(ngModel)]= "user.profile.patronymic"></material-input>
            </div>
        </div>
        <div class="field">
            <div class = "column_1">
            <p>E-mail</p>
            </div>
            <div class = "column_2">
                <material-input label = "Enter your e-mail"  [style.height.px] = "25" *ngIf = "user!=null" [(ngModel)]= "user.profile.email"></material-input>
            </div>
        </div>
        <div class="field">
            <div class = "column_1">
            <p>Birthday</p>
            </div>
            <div class = "column_2">
                <material-datepicker  [(date)] = 'date' [minDate]="limitToRange.start"
                [maxDate]="limitToRange.end"></material-datepicker>
            </div>
        </div>
    </div>
    <div class = "button">
        <div>
        <material-button class = "back" icon *ngIf = "!(user!=userCopy || (date!=birthday))" [routerLink] = "RoutePaths.profile_viewer.toUrl()"><material-icon icon = "undo"></material-icon></material-button>
        </div>
        <div class = "savebuttons">
            <material-button class = "no" [routerLink] = "RoutePaths.profile_viewer.toUrl()" *ngIf = "(user!=userCopy || (date!=birthday))" icon><material-icon icon = "clear"></material-icon></material-button>
        <material-button class = "yes" *ngIf = "(user!=userCopy || (date!=birthday))" (trigger) = "save()" icon><material-icon icon = "done"></material-icon></material-button>
        </div>
    </div>
</div>
